Name:		gdisk
Version:	1.0.1
Release:	%mkrel 1
Summary:	An fdisk-like partitioning tool for GPT disks
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://www.rodsbooks.com/gdisk
Source0:	http://downloads.sourceforge.net/gptfdisk/gptfdisk-%{version}.tar.gz
Patch1:		gptfdisk-0.8.10-ncurses.patch
Provides:	gptfdisk = %{version}
Buildrequires: 	libuuid-devel
Buildrequires: 	libpopt-devel
BuildRequires:	ncurses-devel
BuildRequires:	ncursesw-devel

%description
An fdisk-like partitioning tool for GPT disks. GPT
fdisk features a command-line interface, fairly direct
manipulation of partition table structures, recovery
tools to help you deal with corrupt partition tables,
and the ability to convert MBR disks to GPT format.


%prep
%setup -q -n gptfdisk-%{version}
%autopatch -p1

%build
make CXX="g++ %{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}/%{_sbindir}
install -Dp -m0755 gdisk %{buildroot}/%{_sbindir}
install -Dp -m0755 sgdisk %{buildroot}/%{_sbindir}
install -Dp -m0644 gdisk.8 %{buildroot}/%{_mandir}/man8/gdisk.8
install -Dp -m0644 sgdisk.8 %{buildroot}/%{_mandir}/man8/sgdisk.8

%files
%doc NEWS COPYING README
%{_sbindir}/gdisk
%{_sbindir}/sgdisk
%{_mandir}/man8/*


%changelog
* Thu Nov 19 2015 luigiwalser <luigiwalser> 1.0.1-1.mga6
+ Revision: 904377
- 1.0.1

* Wed Oct 15 2014 umeabot <umeabot> 0.8.10-3.mga5
+ Revision: 748073
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.10-2.mga5
+ Revision: 679459
- Mageia 5 Mass Rebuild

* Tue Mar 04 2014 luigiwalser <luigiwalser> 0.8.10-1.mga5
+ Revision: 599505
- 0.8.10
- remove upstreamed no-icu patch
- rediff ncurses patch

* Wed Oct 23 2013 dams <dams> 0.8.8-1.mga4
+ Revision: 546643
- new version 0.8.8

* Mon Oct 21 2013 umeabot <umeabot> 0.8.7-3.mga4
+ Revision: 541070
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 fwang <fwang> 0.8.7-2.mga4
+ Revision: 495064
- fix linkage

* Thu Aug 08 2013 luigiwalser <luigiwalser> 0.8.7-1.mga4
+ Revision: 464766
- 0.8.7

* Thu Feb 21 2013 luigiwalser <luigiwalser> 0.8.6-1.mga3
+ Revision: 399797
- 0.8.6

* Wed Jan 23 2013 fwang <fwang> 0.8.5-4.mga3
+ Revision: 391268
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 0.8.5-3.mga3
+ Revision: 351135
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 22 2012 tv <tv> 0.8.5-2.mga3
+ Revision: 262561
- build w/o libicu (saves 20%% of the rescue)

* Fri Jun 15 2012 fwang <fwang> 0.8.5-1.mga3
+ Revision: 260719
- new versio 0.8.5

* Tue May 29 2012 blino <blino> 0.8.1-3.mga3
+ Revision: 249499
- rebuild for latest icu

* Fri Oct 28 2011 tmb <tmb> 0.8.1-2.mga2
+ Revision: 159168
- own manpage, not man dir
- add BR: ncurses-devel
- update to 0.8.1

* Sat Jul 09 2011 dams <dams> 0.7.2-1.mga2
+ Revision: 120731
- update to 0.7.2
- clean BR

* Mon Mar 14 2011 andre999 <andre999> 0.6.14-1.mga1
+ Revision: 71350
- imported package gdisk

